R_SET_FILE_LOCK(3)

EXPERIMENTAL_FUNC
r_set_file_lock - Grab or release the lock on a file.

SYNOPSIS
#include <karma_r.h>

flag r_set_file_lock

(int fd, flag lock, flag do_wait)

DESCRIPTION
Grab or release the lock on a file.

fd  The file descriptor to (un)lock.

lock
    If TRUE, the file is locked, else it is unlocked.

do_wait
    If TRUE, the routine will wait until the lock is grabbed.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/